Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153188 - init.d directory
Summary: init.d directory
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rik van Riel
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-02 11:35 UTC by Florian La Roche
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 00:46:34 UTC


Attachments (Terms of Use)

Description Florian La Roche 2005-04-02 11:35:53 UTC
Description of problem: We usually have startup scripts still
in /etc/rc.d/init.d. Untested patch:

--- xen.spec    1 Apr 2005 03:38:40 -0000       1.33
+++ xen.spec    2 Apr 2005 11:34:26 -0000
@@ -16,6 +16,7 @@ BuildRequires: transfig libidn-devel zli
 BuildRequires: xorg-x11-devel python-devel ghostscript tetex-latex
 Requires: bridge-utils python-twisted
 Requires: python-abi = %{pyver}
+Prereq: chkconfig
 ExclusiveArch: i386

 %description
@@ -45,6 +46,10 @@ make DESTDIR=%{buildroot} install-xen in
 mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/xend-db/domain
 mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}/xend-db/vnet

+### fixing startup-script dir
+mkdir -p %{buildroot}/etc/rc.d
+mv -f %{buildroot}/etc/init.d %{buildroot}/etc/rc.d/
+
 ### fixing the man
 install -d %{buildroot}%{_mandir}
 mv %{buildroot}/usr/man/* %{buildroot}%{_mandir}
@@ -86,8 +91,8 @@ rm -rf $RPM_BUILD_ROOT
 %{_mandir}/man?/*.?.gz
 %dir %{_localstatedir}/lib/%{name}
 %{_localstatedir}/lib/%{name}/*
-%{_sysconfdir}/init.d/xend
-%{_sysconfdir}/init.d/xendomains
+%{_sysconfdir}/rc.d/init.d/xend
+%{_sysconfdir}/rc.d/init.d/xendomains
 %{_sysconfdir}/%{name}*

 %changelog



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Rik van Riel 2005-04-02 15:10:35 UTC
I just applied the patch, it will be in the next Xen RPM.  Thank you.


Note You need to log in before you can comment on or make changes to this bug.